Subject: Re: bug#76176: 30.0.93; Suggested command: narrow-to-thing-at-point

From: Stefan Kangas <[email-masked]>
Date: Tue, 4 Mar 2025 02:44:31 +0000

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Date: Tue, 11 Feb 2025 01:33:56 +1300
>>> From: Phil Sainty <[email-masked]>
>>>
>>> This command occurred to me today as a useful way to leverage the
>>> thing-at-point machinery.
>>>
>>> I've put together the attached implementation as a first pass, based on
>>> what I could glean of the current thing-at-point functionality.
>>>
>>> I didn't see any existing ways of listing known/valid things.  If I'm
>>> gathering this correctly, it might be useful to separate that bit out
>>> into another function.
>>>
>>> What do you think?
>>
>> I don't see why not add this.
>
> Sounds good to me.  Please install.

With the usual documentation fixes, NEWS, and so on, of course.